<?xml version="1.0"?>

<!-- This Source Code Form is subject to the terms of the Mozilla Public
   - License, v. 2.0. If a copy of the MPL was not distributed with this
   - file, You can obtain one at http://mozilla.org/MPL/2.0/. -->

<?xml-stylesheet href="chrome://global/skin/"?>
<?xml-stylesheet href="chrome://eplaces/skin/editBookmarkOverlay.css"?>
<?xml-stylesheet href="chrome://eplaces/skin/places.css"?>
<?xml-stylesheet href="chrome://eplaces/content/places.css"?>

<?xul-overlay href="chrome://eplaces/content/placesOverlay.xul"?>
<?xul-overlay href="chrome://eplaces/content/editBookmarkOverlay.xul"?>

<!DOCTYPE dialog [
  <!ENTITY % editBookmarkOverlayDTD SYSTEM "chrome://eplaces/locale/editBookmarkOverlay.dtd">
  %editBookmarkOverlayDTD;
]>

<dialog id="bookmarkproperties"
        buttons="accept, cancel"
        buttoniconaccept="save"
        ondialogaccept="BookmarkPropertiesPanel.onDialogAccept();"
        ondialogcancel="BookmarkPropertiesPanel.onDialogCancel();"
        xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
        onload="BookmarkPropertiesPanel.onDialogLoad();"
        onunload="BookmarkPropertiesPanel.onDialogUnload();"
        style="min-width: 30em;"
        persist="screenX screenY width">

  <stringbundleset id="stringbundleset">
    <stringbundle id="stringBundle"
                  src="chrome://eplaces/locale/bookmarkProperties.properties"/>
  </stringbundleset>

  <script type="application/javascript"
          src="chrome://eplaces/content/editBookmarkOverlay.js"/>
  <script type="application/javascript"
          src="chrome://eplaces/content/bookmarkProperties.js"/>

<vbox id="editBookmarkPanelContent"/>

</dialog>
